#pragma once

#include "CoreMinimal.h"
#include "FloatValueStrategy.h"
#include "DataAssetFloatValueStrategy.generated.h"

class UDBDDataAssetPropertyHandle;

UCLASS(Blueprintable, EditInlineNew)
class DBDSHAREDTYPES_API UDataAssetFloatValueStrategy : public UFloatValueStrategy
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Instanced)
	UDBDDataAssetPropertyHandle* _propertyHandle;

public:
	UDataAssetFloatValueStrategy();
};

FORCEINLINE uint32 GetTypeHash(const UDataAssetFloatValueStrategy) { return 0; }
